Skip to content
Start here

Create Setup Intent

accounts.client_secret.create(ClientSecretCreateParams**kwargs) -> ClientSecretCreateResponse
POST/accounts/{account_id}/client-secret

Creates a Stripe setup intent for adding a payment method to an account. Returns a client secret for frontend payment method collection.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
ReturnsExpand Collapse
class ClientSecretCreateResponse:
client_secret: Optional[str]

The Stripe client secret for frontend payment confirmation.

Create Setup Intent

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client_secret = client.accounts.client_secret.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(client_secret.client_secret)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}